doctype html
html(lang="en")
  head
    title!=self.title(self)
    meta(charset="utf-8")
    block styles
      link(rel="stylesheet", href=self.url("css/main" + (self.debug ? "" : ".min") + ".css"))
    block scripts
  body
    header
      #header-left
        block header-left
          a#branding(href=self.rootPath)!=self.branding(self)
      #header-right
        block header-right
    #main
      block body
    footer
      block footer
        != self.footer()

// FIXME using the main layout without sub-layout results in compilation errors when a block of sub-layout is addressed